Bug 846301 - FTBFS: libspatialite: Error: operand out of range (0x0000000000008000 is not between 0xffffffffffff8000 and 0x0000000000007fff)
FTBFS: libspatialite: Error: operand out of range (0x0000000000008000 is not ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: libspatialite (Show other bugs)
19
powerpc Linux
high Severity high
: ---
: ---
Assigned To: Volker Fröhlich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 07:44 EDT by Karsten Hopp
Modified: 2013-04-26 10:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-26 10:00:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2012-08-07 07:44:33 EDT
Description of problem:
make[4]: Entering directory `/builddir/build/BUILD/libspatialite-3.1.0-RC2/src/srsinit'
/bin/sh ../../libtool --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I../.. -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -fprofile-arcs -ftest-coverage -g -I../../src/headers    -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m32 -fprofile-arcs -ftest-coverage -g -c -o srs_init.lo srs_init.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I../.. -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -fprofile-arcs -ftest-coverage -g -I../../src/headers -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -fprofile-arcs -ftest-coverage -g -c srs_init.c  -fPIC -DPIC -o .libs/srs_init.o
{standard input}: Assembler messages:
{standard input}:496993: Error: operand out of range (0x0000000000008000 is not between 0xffffffffffff8000 and 0x0000000000007fff)
{standard input}:497005: Error: operand out of range (0x0000000000008004 is not between 0xffffffffffff8000 and 0x0000000000007fff)
{standard input}:497017: Error: operand out of range (0x0000000000008008 is not between 0xffffffffffff8000 and 0x0000000000007fff)
{standard input}:497029: Error: operand out of range (0x000000000000800c is not between 0xffffffffffff8000 and 0x0000000000007fff)
{standard input}:497041: Error: operand out of range (0x0000000000008010 is not between 0xffffffffffff8000 and 0x0000000000007fff)

Version-Release number of selected component (if applicable):
libspatialite-3.1.0-0.2.RC2.fc18

How reproducible:
always

Steps to Reproduce:
1. ppc-koji build --scratch f18 libspatialite-3.1.0-0.2.RC2.fc18.src.rpm
2.
3.
  
Actual results:

Additional info:
This is similar to bug 663938 (ppc64)

https://groups.google.com/forum/?fromgroups#!topic/spatialite-users/mhvsL1anBVg

Compiling with -O0 doesn't help, removing -fPIC from the compiler options works around this issue, most likely even on ppc64
Comment 1 Volker Fröhlich 2012-08-07 08:38:25 EDT
Why did you create this report?
Comment 2 Karsten Hopp 2012-08-07 09:25:15 EDT
I'm not sure if I understand that question correctly, the obvious answer would be 'Because it is a bug that needs to be fixed ?' 
The other bug was about PPC64, this one is about PPC.

Either by adding an excludearch ppc and fixing the related packages like gdal and qgis, by implementing the workaround or as the best solution by fixing it upstream.
Comment 3 Volker Fröhlich 2012-08-09 17:30:36 EDT
Ah, I see clear now. I had ExcludeArch set for ppc64 because it's a primary target for EPEL 6. I had never tested ppc.

RC3 also works on ppc, but I'd rather wait for a final release. I'll add the additional ExcludeArch to Libspatialite and extend the conditional for GDAL. That should do.

http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=662145
Comment 4 Volker Fröhlich 2012-08-09 18:22:15 EDT
OK, I reworked libspatialite, spatialite-gui, gdal and qgis in Rawhide.
Comment 5 Fedora End Of Life 2013-04-03 14:10:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Volker Fröhlich 2013-04-26 10:00:29 EDT
Looks like it's solved:
http://ppc.koji.fedoraproject.org/koji/buildinfo?buildID=153725

Note You need to log in before you can comment on or make changes to this bug.